Bug 676437 - Build gjs against the standalone SpiderMonkey package 'js', not XULRunner's copy
Summary: Build gjs against the standalone SpiderMonkey package 'js', not XULRunner's copy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gjs
Version: 15
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker RejectedNTH
Depends On: 676441
Blocks: 715188
TreeView+ depends on / blocked
 
Reported: 2011-02-09 21:02 UTC by Christopher Aillon
Modified: 2018-04-11 08:53 UTC (History)
13 users (show)

Fixed In Version: firefox-5.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-24 17:57:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 646369 None None None Never

Description Christopher Aillon 2011-02-09 21:02:31 UTC
We need to make GNOME 3 not depend on Firefox.  Right now, whenever Firefox gets updated, GNOME 3 will break until gjs gets a rebuild.

Currently, we've not had a problem so far, however, we can't guarantee that all changes that happen to the API will be easy enough to fix quickly.  This means that in the future, security updates could leave GNOME 3 broken for a while.  Either that, or we need to leave users vulnerable to potential flaws until we are able to come up with a fix.

Neither of those solutions are great.  We ship a standalone copy of SpiderMonkey, the 'js' package and we really need to get gjs using that instead.

https://admin.fedoraproject.org/pkgdb/acls/name/js

Comment 1 Colin Walters 2011-04-05 17:26:14 UTC
So, there are multiple possibilities here; in increasing order of risk:

* Embed spidermonkey-1.8.5.tar.gz in gjs (Source1, --libdir=/usr/lib/gjs)
* Package spidermonkey185 separately from "js"
* Replace "js" package

Comment 2 Christopher Aillon 2011-04-12 02:51:58 UTC
js finally got rebased on rawhide.  See bug 676441.  I still am hopeful we can do this for F15.

Comment 3 Adam Williamson 2011-04-15 18:32:23 UTC
Discussed at 2011-04-15 blocker review meeting. We agree this is an important issue, but it's not a good match as a release blocker or a nice-to-have, as it can be fixed equally well as an update; so whenever someone actually gets around to fixing this properly, we can take the fix in a way that will be as good as including it in the release.

There is an unfrozen period between Beta release and Final freeze, and if a fix can be made (and actually work...the current attempt has major issues) it can land during that time. if it misses the final freeze, it can then land as a 0-day or post-release update.

RejectedBlocker and RejectedNTH.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Fedora Update System 2011-05-09 06:27:27 UTC
mongodb-1.8.0-3.fc15,mediatomb-0.12.1-10.fc15,gxine-0.5.905-6.fc15,erlang-js-0.5.0-4.fc15,couchdb-1.0.2-2.fc15,callweaver-1.2.1-9.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mongodb-1.8.0-3.fc15,mediatomb-0.12.1-10.fc15,gxine-0.5.905-6.fc15,erlang-js-0.5.0-4.fc15,couchdb-1.0.2-2.fc15,callweaver-1.2.1-9.fc15

Comment 5 Fedora Update System 2011-05-09 22:39:29 UTC
Package mongodb-1.8.0-3.fc15, mediatomb-0.12.1-10.fc15, gxine-0.5.905-6.fc15, erlang-js-0.5.0-4.fc15, couchdb-1.0.2-2.fc15, callweaver-1.2.1-9.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mongodb-1.8.0-3.fc15 mediatomb-0.12.1-10.fc15 gxine-0.5.905-6.fc15 erlang-js-0.5.0-4.fc15 couchdb-1.0.2-2.fc15 callweaver-1.2.1-9.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mongodb-1.8.0-3.fc15,mediatomb-0.12.1-10.fc15,gxine-0.5.905-6.fc15,erlang-js-0.5.0-4.fc15,couchdb-1.0.2-2.fc15,callweaver-1.2.1-9.fc15
then log in and leave karma (feedback).

Comment 6 Christopher Aillon 2011-06-22 19:39:27 UTC
Back to assigned, this got accidentally moved to ON_QA.

Comment 7 Jan Horak 2011-06-23 10:28:07 UTC
This is delaying release of Firefox 5 security update for fedora 15. Raising priority. If we broke dependency against xulrunner by releasing it it would make desktop fully broken (tested by myself).

Comment 8 Matěj Cepl 2011-06-23 14:26:46 UTC
*** Bug 715188 has been marked as a duplicate of this bug. ***

Comment 9 Fedora Update System 2011-06-23 17:18:14 UTC
firefox-5.0-1.fc15,xulrunner-5.0-2.fc15,gnome-shell-3.0.2-3.fc15,gjs-0.7.14-6.fc15,js-1.8.5-6.fc15,mozvoikko-1.9.0-5.fc15,gnome-python2-extras-2.25.3-32.fc15,perl-Gtk2-MozEmbed-0.09-1.fc15.1 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/firefox-5.0-1.fc15,xulrunner-5.0-2.fc15,gnome-shell-3.0.2-3.fc15,gjs-0.7.14-6.fc15,js-1.8.5-6.fc15,mozvoikko-1.9.0-5.fc15,gnome-python2-extras-2.25.3-32.fc15,perl-Gtk2-MozEmbed-0.09-1.fc15.1

Comment 10 Fedora Update System 2011-06-24 03:46:06 UTC
Package firefox-5.0-1.fc15, xulrunner-5.0-2.fc15, gnome-shell-3.0.2-3.fc15, gjs-0.7.14-6.fc15, js-1.8.5-6.fc15, mozvoikko-1.9.0-5.fc15, gnome-python2-extras-2.25.3-32.fc15, perl-Gtk2-MozEmbed-0.09-1.fc15.1:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firefox-5.0-1.fc15 xulrunner-5.0-2.fc15 gnome-shell-3.0.2-3.fc15 gjs-0.7.14-6.fc15 js-1.8.5-6.fc15 mozvoikko-1.9.0-5.fc15 gnome-python2-extras-2.25.3-32.fc15 perl-Gtk2-MozEmbed-0.09-1.fc15.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/firefox-5.0-1.fc15,xulrunner-5.0-2.fc15,gnome-shell-3.0.2-3.fc15,gjs-0.7.14-6.fc15,js-1.8.5-6.fc15,mozvoikko-1.9.0-5.fc15,gnome-python2-extras-2.25.3-32.fc15,perl-Gtk2-MozEmbed-0.09-1.fc15.1
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-06-24 17:57:19 UTC
firefox-5.0-1.fc15, xulrunner-5.0-2.fc15, gnome-shell-3.0.2-3.fc15, gjs-0.7.14-6.fc15, js-1.8.5-6.fc15, mozvoikko-1.9.0-5.fc15, gnome-python2-extras-2.25.3-32.fc15, perl-Gtk2-MozEmbed-0.09-1.fc15.1 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.